/*
 * The MIT License

   Conograph (powder auto-indexing program)

Copyright (c) <2012> <Ryoko Oishi-Tomiyasu, KEK>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
 *
 */
#ifndef ENUMGROUPTOMAXNORMALSUBGP_HH_
#define ENUMGROUPTOMAXNORMALSUBGP_HH_

enum eGroupToMaxSubgp{
		Ci_to_C1,
		C2_X_to_C1,
		C2_Y_to_C1,
		C2_Z_to_C1,
		C2D_X0_rho_to_C1,
		C2D_X1_rho_to_C1,
		C2D_Y0_rho_to_C1,
		C2D_Y1_rho_to_C1,
		C2D_Z0_to_C1,
		C2D_Z1_to_C1,
		C2D_X0_hex_to_C1,
		C2D_X1_hex_to_C1,
		C2D_Y0_hex_to_C1,
		C2D_Y1_hex_to_C1,
		Cs_X_to_C1,
		Cs_Y_to_C1,
		Cs_Z_to_C1,
		CsD_X0_rho_to_C1,
		CsD_X1_rho_to_C1,
		CsD_Y0_rho_to_C1,
		CsD_Y1_rho_to_C1,
		CsD_Z0_to_C1,
		CsD_Z1_to_C1,
		CsD_X0_hex_to_C1,
		CsD_X1_hex_to_C1,
		CsD_Y0_hex_to_C1,
		CsD_Y1_hex_to_C1,
		C2h_X_to_Cs_X,
		C2h_X_to_C2_X,
		C2h_X_to_Ci,
		C2h_Y_to_Cs_Y,
		C2h_Y_to_C2_Y,
		C2h_Y_to_Ci,
		C2h_Z_to_Cs_Z,
		C2h_Z_to_C2_Z,
		C2h_Z_to_Ci,
		C2hD_X0_rho_to_CsD_X0_rho,
		C2hD_X0_rho_to_C2D_X0_rho,
		C2hD_X0_rho_to_Ci,
		C2hD_X1_rho_to_CsD_X1_rho,
		C2hD_X1_rho_to_C2D_X1_rho,
		C2hD_X1_rho_to_Ci,
		C2hD_Y0_rho_to_CsD_Y0_rho,
		C2hD_Y0_rho_to_C2D_Y0_rho,
		C2hD_Y0_rho_to_Ci,
		C2hD_Y1_rho_to_CsD_Y1_rho,
		C2hD_Y1_rho_to_C2D_Y1_rho,
		C2hD_Y1_rho_to_Ci,
		C2hD_Z0_to_CsD_Z0,
		C2hD_Z0_to_C2D_Z0,
		C2hD_Z0_to_Ci,
		C2hD_Z1_to_CsD_Z1,
		C2hD_Z1_to_C2D_Z1,
		C2hD_Z1_to_Ci,
		C2hD_X0_hex_to_CsD_X0_hex,
		C2hD_X0_hex_to_C2D_X0_hex,
		C2hD_X0_hex_to_Ci,
		C2hD_X1_hex_to_CsD_X1_hex,
		C2hD_X1_hex_to_C2D_X1_hex,
		C2hD_X1_hex_to_Ci,
		C2hD_Y0_hex_to_CsD_Y0_hex,
		C2hD_Y0_hex_to_C2D_Y0_hex,
		C2hD_Y0_hex_to_Ci,
		C2hD_Y1_hex_to_CsD_Y1_hex,
		C2hD_Y1_hex_to_C2D_Y1_hex,
		C2hD_Y1_hex_to_Ci,
		D2_to_C2_Z,
		D2_to_C2_Y,
		D2_to_C2_X,
		D2prime_X_rho_to_C2D_X1_rho,
		D2prime_X_rho_to_C2D_X0_rho,
		D2prime_X_rho_to_C2_X,
		D2prime_Y_rho_to_C2D_Y1_rho,
		D2prime_Y_rho_to_C2D_Y0_rho,
		D2prime_Y_rho_to_C2_Y,
		D2prime_Z_to_C2D_Z1,
		D2prime_Z_to_C2D_Z0,
		D2prime_Z_to_C2_Z,
		D2prime_X_hex_to_C2D_X1_hex,
		D2prime_X_hex_to_C2D_X0_hex,
		D2prime_X_hex_to_C2_Z,
		D2prime_Y_hex_to_C2D_Y1_hex,
		D2prime_Y_hex_to_C2D_Y0_hex,
		D2prime_Y_hex_to_C2_Z,
		C2v_X_to_Cs_Z,
		C2v_X_to_Cs_Y,
		C2v_X_to_C2_X,
		C2v_Y_to_Cs_Z,
		C2v_Y_to_Cs_X,
		C2v_Y_to_C2_Y,
		C2v_Z_to_Cs_Y,
		C2v_Z_to_Cs_X,
		C2v_Z_to_C2_Z,
		C2vprime_X_rho_to_CsD_X1_rho,
		C2vprime_X_rho_to_CsD_X0_rho,
		C2vprime_X_rho_to_C2_X,
		C2vprime_Y_rho_to_CsD_Y1_rho,
		C2vprime_Y_rho_to_CsD_Y0_rho,
		C2vprime_Y_rho_to_C2_Y,
		C2vprime_Z_to_CsD_Z1,
		C2vprime_Z_to_CsD_Z0,
		C2vprime_Z_to_C2_Z,
		C2vprime_X_hex_to_CsD_X1_hex,
		C2vprime_X_hex_to_CsD_X0_hex,
		C2vprime_X_hex_to_C2_Z,
		C2vprime_Y_hex_to_CsD_Y1_hex,
		C2vprime_Y_hex_to_CsD_Y0_hex,
		C2vprime_Y_hex_to_C2_Z,
		C2vD_X0_rho_to_CsD_X1_rho,
		C2vD_X0_rho_to_Cs_X,
		C2vD_X0_rho_to_C2D_X0_rho,
		C2vD_X1_rho_to_CsD_X0_rho,
		C2vD_X1_rho_to_Cs_X,
		C2vD_X1_rho_to_C2D_X1_rho,
		C2vD_Y0_rho_to_CsD_Y1_rho,
		C2vD_Y0_rho_to_Cs_Y,
		C2vD_Y0_rho_to_C2D_Y0_rho,
		C2vD_Y1_rho_to_CsD_Y0_rho,
		C2vD_Y1_rho_to_Cs_Y,
		C2vD_Y1_rho_to_C2D_Y1_rho,
		C2vD_Z0_to_CsD_Z1,
		C2vD_Z0_to_Cs_Z,
		C2vD_Z0_to_C2D_Z0,
		C2vD_Z1_to_CsD_Z0,
		C2vD_Z1_to_Cs_Z,
		C2vD_Z1_to_C2D_Z1,
		C2vD_X0_hex_to_CsD_X1_hex,
		C2vD_X0_hex_to_Cs_Z,
		C2vD_X0_hex_to_C2D_X0_hex,
		C2vD_X1_hex_to_CsD_X0_hex,
		C2vD_X1_hex_to_Cs_Z,
		C2vD_X1_hex_to_C2D_X1_hex,
		C2vD_Y0_hex_to_CsD_Y1_hex,
		C2vD_Y0_hex_to_Cs_Z,
		C2vD_Y0_hex_to_C2D_Y0_hex,
		C2vD_Y1_hex_to_CsD_Y0_hex,
		C2vD_Y1_hex_to_Cs_Z,
		C2vD_Y1_hex_to_C2D_Y1_hex,
		D2h_to_C2v_Z,
		D2h_to_C2v_Y,
		D2h_to_C2v_X,
		D2h_to_D2,
		D2h_to_C2h_Z,
		D2h_to_C2h_Y,
		D2h_to_C2h_X,
		D2hprime_X_rho_to_C2vD_X1_rho,
		D2hprime_X_rho_to_C2vD_X0_rho,
		D2hprime_X_rho_to_C2vprime_X_rho,
		D2hprime_X_rho_to_D2prime_X_rho,
		D2hprime_X_rho_to_C2hD_X1_rho,
		D2hprime_X_rho_to_C2hD_X0_rho,
		D2hprime_X_rho_to_C2h_X,
		D2hprime_Y_rho_to_C2vD_Y1_rho,
		D2hprime_Y_rho_to_C2vD_Y0_rho,
		D2hprime_Y_rho_to_C2vprime_Y_rho,
		D2hprime_Y_rho_to_D2prime_Y_rho,
		D2hprime_Y_rho_to_C2hD_Y1_rho,
		D2hprime_Y_rho_to_C2hD_Y0_rho,
		D2hprime_Y_rho_to_C2h_Y,
		D2hprime_Z_to_C2vD_Z1,
		D2hprime_Z_to_C2vD_Z0,
		D2hprime_Z_to_C2vprime_Z,
		D2hprime_Z_to_D2prime_Z,
		D2hprime_Z_to_C2hD_Z1,
		D2hprime_Z_to_C2hD_Z0,
		D2hprime_Z_to_C2h_Z,
		D2hprime_X_hex_to_C2vD_X1_hex,
		D2hprime_X_hex_to_C2vD_X0_hex,
		D2hprime_X_hex_to_C2vprime_X_hex,
		D2hprime_X_hex_to_D2prime_X_hex,
		D2hprime_X_hex_to_C2hD_X1_hex,
		D2hprime_X_hex_to_C2hD_X0_hex,
		D2hprime_X_hex_to_C2h_Z,
		D2hprime_Y_hex_to_C2vD_Y1_hex,
		D2hprime_Y_hex_to_C2vD_Y0_hex,
		D2hprime_Y_hex_to_C2vprime_Y_hex,
		D2hprime_Y_hex_to_D2prime_Y_hex,
		D2hprime_Y_hex_to_C2hD_Y1_hex,
		D2hprime_Y_hex_to_C2hD_Y0_hex,
		D2hprime_Y_hex_to_C2h_Z,
		C3_hex_to_C1,
		C31_rho_to_C1,
		C32_rho_to_C1,
		C33_rho_to_C1,
		C34_rho_to_C1,
		C3i_hex_to_C3_hex,
		C3i_hex_to_Ci,
		C31i_rho_to_C31_rho,
		C31i_rho_to_Ci,
		C32i_rho_to_C32_rho,
		C32i_rho_to_Ci,
		C33i_rho_to_C33_rho,
		C33i_rho_to_Ci,
		C34i_rho_to_C34_rho,
		C34i_rho_to_Ci,
		D3_0_hex_to_C3_hex,
		D3_0_hex_to_C2D_Z0,
		D3_0_hex_to_C2D_Y0_hex,
		D3_0_hex_to_C2D_X0_hex,
		D3_1_hex_to_C3_hex,
		D3_1_hex_to_C2D_Y1_hex,
		D3_1_hex_to_C2D_X1_hex,
		D3_1_hex_to_C2D_Z1,
		D31_rho_to_C31_rho,
		D31_rho_to_C2D_Z0,
		D31_rho_to_C2D_Y0_rho,
		D31_rho_to_C2D_X0_rho,
		D32_rho_to_C32_rho,
		D32_rho_to_C2D_Z0,
		D32_rho_to_C2D_Y1_rho,
		D32_rho_to_C2D_X1_rho,
		D33_rho_to_C33_rho,
		D33_rho_to_C2D_Z1,
		D33_rho_to_C2D_Y1_rho,
		D33_rho_to_C2D_X0_rho,
		D34_rho_to_C34_rho,
		D34_rho_to_C2D_Z1,
		D34_rho_to_C2D_Y0_rho,
		D34_rho_to_C2D_X1_rho,
		C3v_0_hex_to_C3_hex,
		C3v_0_hex_to_CsD_Z0,
		C3v_0_hex_to_CsD_Y0_hex,
		C3v_0_hex_to_CsD_X0_hex,
		C3v_1_hex_to_C3_hex,
		C3v_1_hex_to_CsD_Y1_hex,
		C3v_1_hex_to_CsD_X1_hex,
		C3v_1_hex_to_CsD_Z1,
		C31v_rho_to_C31_rho,
		C31v_rho_to_CsD_Z0,
		C31v_rho_to_CsD_Y0_rho,
		C31v_rho_to_CsD_X0_rho,
		C32v_rho_to_C32_rho,
		C32v_rho_to_CsD_Z0,
		C32v_rho_to_CsD_Y1_rho,
		C32v_rho_to_CsD_X1_rho,
		C33v_rho_to_C33_rho,
		C33v_rho_to_CsD_Z1,
		C33v_rho_to_CsD_Y1_rho,
		C33v_rho_to_CsD_X0_rho,
		C34v_rho_to_C34_rho,
		C34v_rho_to_CsD_Z1,
		C34v_rho_to_CsD_Y0_rho,
		C34v_rho_to_CsD_X1_rho,
		D3d_0_hex_to_C3v_0_hex,
		D3d_0_hex_to_D3_0_hex,
		D3d_0_hex_to_C3i_hex,
		D3d_0_hex_to_C2hD_Z0,
		D3d_0_hex_to_C2hD_Y0_hex,
		D3d_0_hex_to_C2hD_X0_hex,
		D3d_1_hex_to_C3v_1_hex,
		D3d_1_hex_to_D3_1_hex,
		D3d_1_hex_to_C3i_hex,
		D3d_1_hex_to_C2hD_Y1_hex,
		D3d_1_hex_to_C2hD_X1_hex,
		D3d_1_hex_to_C2hD_Z1,
		D31d_rho_to_C31v_rho,
		D31d_rho_to_D31_rho,
		D31d_rho_to_C31i_rho,
		D31d_rho_to_C2hD_Z0,
		D31d_rho_to_C2hD_Y0_rho,
		D31d_rho_to_C2hD_X0_rho,
		D32d_rho_to_C32v_rho,
		D32d_rho_to_D32_rho,
		D32d_rho_to_C32i_rho,
		D32d_rho_to_C2hD_Z0,
		D32d_rho_to_C2hD_Y1_rho,
		D32d_rho_to_C2hD_X1_rho,
		D33d_rho_to_C33v_rho,
		D33d_rho_to_D33_rho,
		D33d_rho_to_C33i_rho,
		D33d_rho_to_C2hD_Z1,
		D33d_rho_to_C2hD_Y1_rho,
		D33d_rho_to_C2hD_X0_rho,
		D34d_rho_to_C34v_rho,
		D34d_rho_to_D34_rho,
		D34d_rho_to_C34i_rho,
		D34d_rho_to_C2hD_Z1,
		D34d_rho_to_C2hD_Y0_rho,
		D34d_rho_to_C2hD_X1_rho,
		C4_X_to_C2_X,
		C4_Y_to_C2_Y,
		C4_Z_to_C2_Z,
		S4_X_to_C2_X,
		S4_Y_to_C2_Y,
		S4_Z_to_C2_Z,
		C4h_X_to_S4_X,
		C4h_X_to_C4_X,
		C4h_X_to_C2h_X,
		C4h_Y_to_S4_Y,
		C4h_Y_to_C4_Y,
		C4h_Y_to_C2h_Y,
		C4h_Z_to_S4_Z,
		C4h_Z_to_C4_Z,
		C4h_Z_to_C2h_Z,
		D4_X_to_C4_X,
		D4_X_to_D2prime_X_rho,
		D4_X_to_D2,
		D4_Y_to_C4_Y,
		D4_Y_to_D2prime_Y_rho,
		D4_Y_to_D2,
		D4_Z_to_C4_Z,
		D4_Z_to_D2prime_Z,
		D4_Z_to_D2,
		C4v_X_to_C4_X,
		C4v_X_to_C2vprime_X_rho,
		C4v_X_to_C2v_X,
		C4v_Y_to_C4_Y,
		C4v_Y_to_C2vprime_Y_rho,
		C4v_Y_to_C2v_Y,
		C4v_Z_to_C4_Z,
		C4v_Z_to_C2vprime_Z,
		C4v_Z_to_C2v_Z,
		D2d_X_to_S4_X,
		D2d_X_to_C2vprime_X_rho,
		D2d_X_to_D2,
		D2d_Y_to_S4_Y,
		D2d_Y_to_C2vprime_Y_rho,
		D2d_Y_to_D2,
		D2d_Z_to_S4_Z,
		D2d_Z_to_C2vprime_Z,
		D2d_Z_to_D2,
		D2dprime_X_to_S4_X,
		D2dprime_X_to_C2v_X,
		D2dprime_X_to_D2prime_X_rho,
		D2dprime_Y_to_S4_Y,
		D2dprime_Y_to_C2v_Y,
		D2dprime_Y_to_D2prime_Y_rho,
		D2dprime_Z_to_S4_Z,
		D2dprime_Z_to_C2v_Z,
		D2dprime_Z_to_D2prime_Z,
		D4h_X_to_D2dprime_X,
		D4h_X_to_D2d_X,
		D4h_X_to_C4v_X,
		D4h_X_to_D4_X,
		D4h_X_to_C4h_X,
		D4h_X_to_D2hprime_X_rho,
		D4h_X_to_D2h,
		D4h_Y_to_D2dprime_Y,
		D4h_Y_to_D2d_Y,
		D4h_Y_to_C4v_Y,
		D4h_Y_to_D4_Y,
		D4h_Y_to_C4h_Y,
		D4h_Y_to_D2hprime_Y_rho,
		D4h_Y_to_D2h,
		D4h_Z_to_D2dprime_Z,
		D4h_Z_to_D2d_Z,
		D4h_Z_to_C4v_Z,
		D4h_Z_to_D4_Z,
		D4h_Z_to_C4h_Z,
		D4h_Z_to_D2hprime_Z,
		D4h_Z_to_D2h,
		C6_to_C3_hex,
		C6_to_C2_Z,
		C3h_to_C3_hex,
		C3h_to_Cs_Z,
		C6h_to_C3h,
		C6h_to_C6,
		C6h_to_C3i_hex,
		C6h_to_C2h_Z,
		D6_to_C6,
		D6_to_D3_1_hex,
		D6_to_D3_0_hex,
		D6_to_D2prime_Z,
		D6_to_D2prime_Y_hex,
		D6_to_D2prime_X_hex,
		C6v_to_C6,
		C6v_to_C3v_1_hex,
		C6v_to_C3v_0_hex,
		C6v_to_C2vprime_Z,
		C6v_to_C2vprime_Y_hex,
		C6v_to_C2vprime_X_hex,
		D3h_0_hex_to_C3h,
		D3h_0_hex_to_C3v_1_hex,
		D3h_0_hex_to_D3_0_hex,
		D3h_0_hex_to_C2vD_Z0,
		D3h_0_hex_to_C2vD_Y0_hex,
		D3h_0_hex_to_C2vD_X0_hex,
		D3h_1_hex_to_C3h,
		D3h_1_hex_to_C3v_0_hex,
		D3h_1_hex_to_D3_1_hex,
		D3h_1_hex_to_C2vD_Z1,
		D3h_1_hex_to_C2vD_Y1_hex,
		D3h_1_hex_to_C2vD_X1_hex,
		D6h_to_D3h_1_hex,
		D6h_to_D3h_0_hex,
		D6h_to_C6v,
		D6h_to_D6,
		D6h_to_C6h,
		D6h_to_D3d_1_hex,
		D6h_to_D3d_0_hex,
		D6h_to_D2hprime_Z,
		D6h_to_D2hprime_Y_hex,
		D6h_to_D2hprime_X_hex,
		T_to_D2,
		T_to_C34_rho,
		T_to_C33_rho,
		T_to_C32_rho,
		T_to_C31_rho,
		Th_to_T,
		Th_to_D2h,
		Th_to_C34i_rho,
		Th_to_C33i_rho,
		Th_to_C32i_rho,
		Th_to_C31i_rho,
		O_to_T,
		O_to_D4_Z,
		O_to_D4_Y,
		O_to_D4_X,
		O_to_D34_rho,
		O_to_D33_rho,
		O_to_D32_rho,
		O_to_D31_rho,
		Td_to_T,
		Td_to_D2d_Z,
		Td_to_D2d_Y,
		Td_to_D2d_X,
		Td_to_C34v_rho,
		Td_to_C33v_rho,
		Td_to_C32v_rho,
		Td_to_C31v_rho,
		Oh_to_Td,
		Oh_to_O,
		Oh_to_Th,
		Oh_to_D4h_Z,
		Oh_to_D4h_Y,
		Oh_to_D4h_X,
		Oh_to_D34d_rho,
		Oh_to_D33d_rho,
		Oh_to_D32d_rho,
		Oh_to_D31d_rho,
		dummy
	};

#endif /*ENUMGROUPTOMAXNORMALSUBGP_HH_*/
